# Method: applications.deviceTierConfigs.get

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.deviceTierConfigs/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.deviceTierConfigs/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.deviceTierConfigs/get#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.deviceTierConfigs/get#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.deviceTierConfigs/get#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.deviceTierConfigs/get#try-it)

Returns a particular device tier config.

### HTTP request

`GET https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/deviceTierConfigs/{deviceTierConfigId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Package name of the app. |
| `deviceTierConfigId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. Id of an existing device tier config. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/applications.deviceTierConfigs#DeviceTierConfig`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`